require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", false);
SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", true);
SManager:AddFlowers(FlowerType.FLOWERS5, "flowersVGR", false);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.IRA, "cake2Buttercream", true);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", false);

SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMYosemite", true);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMTahoe", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMSwitzerland", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");